Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\REST\Server\Values\Version Class Reference

Version view model. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Values\Version:

## Public Member Functions
| __construct (Content $content, ContentType $contentType, array $relations, $path=null)
| Construct. More...

## Public Attributes
| $content
| $contentType
| $relations
| $path

## Detailed Description

Version view model.

Definition at line 16 of file Core/REST/Server/Values/Version.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Values\Version::__construct | ( | Content | $content,
|  | ContentType | $contentType,
|  | array | $relations,
|  |  | $path = `null`
| ) |  |

Construct.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Content | $content |
  \eZ\Publish\API\Repository\Values\ContentType\ContentType | $contentType |
  \eZ\Publish\API\Repository\Values\Content\Relation[] | $relations |
  string | $path |

Definition at line 42 of file Core/REST/Server/Values/Version.php.

References eZ\Publish\Core\REST\Server\Values\Version\$content, eZ\Publish\Core\REST\Server\Values\Version\$contentType, eZ\Publish\Core\REST\Server\Values\Version\$path, and eZ\Publish\Core\REST\Server\Values\Version\$relations.

## Member Data Documentation

## ◆ $content

eZ\Publish\Core\REST\Server\Values\Version::$content

Definition at line 19 of file Core/REST/Server/Values/Version.php.

Referenced by eZ\Publish\Core\REST\Server\Values\Version\__construct().

## ◆ $contentType

eZ\Publish\Core\REST\Server\Values\Version::$contentType

Definition at line 22 of file Core/REST/Server/Values/Version.php.

Referenced by eZ\Publish\Core\REST\Server\Values\Version\__construct().

## ◆ $path

eZ\Publish\Core\REST\Server\Values\Version::$path

Definition at line 32 of file Core/REST/Server/Values/Version.php.

Referenced by eZ\Publish\Core\REST\Server\Values\Version\__construct().

## ◆ $relations

eZ\Publish\Core\REST\Server\Values\Version::$relations

Definition at line 25 of file Core/REST/Server/Values/Version.php.

Referenced by eZ\Publish\Core\REST\Server\Values\Version\__construct().

The documentation for this class was generated from the following file:

- Core/REST/Server/Values/Version.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.